View Issue Details

IDProjectCategoryView StatusLast Update
0004162SymmetricDSBugpublic2019-12-02 15:12
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.1Fixed in Version3.11.1 
Summary0004162: Routing unique key violation sym_data_event
DescriptionRouter Service can get a unique key violation when a row is routed to the "unrouted" node for multiple node groups. The unrouted node is -1. Rows that would normally be assigned to different nodes become the same node ID of -1 for an unrouted batch. It tries to insert the same batch_id and data_id into sym_data_event, which violates the primary key. In version 3.11, the router_id was removed from sym_data_event, which makes this case possible now. To fix it, the router service only needs to put the data_id into sym_data_event once for an unrouted batch.
Tagsrouting

Relationships

has duplicate 0004164 closedelong SymmetricDS Pro BatchUpdateException: Duplicate entry '24-378' for key 'PRIMARY' 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 fde08595

2019-11-24 11:23:03

admin

Details Diff
0004162: Routing unique key violation sym_data_event
0004162
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.11 a7ce6e17

2019-11-24 12:04:34

admin

Details Diff
0004162: Routing unique key violation sym_data_event
0004162
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.11 bc4b5782

2019-11-25 09:01:14

admin

Details Diff
0004162: Routing unique key violation sym_data_event
0004162
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File

Issue History

Date Modified Username Field Change
2019-11-24 10:55 elong New Issue
2019-11-24 10:55 elong Status new => assigned
2019-11-24 10:55 elong Assigned To => elong
2019-11-24 10:55 elong Tag Attached: routing
2019-11-24 11:23 elong Status assigned => resolved
2019-11-24 11:23 elong Resolution open => fixed
2019-11-24 11:23 elong Fixed in Version => 3.11.1
2019-11-24 12:00 admin Changeset attached => SymmetricDS 3.11 fde08595
2019-11-24 13:00 admin Changeset attached => SymmetricDS 3.11 a7ce6e17
2019-11-24 16:54 elong Relationship added has duplicate 0004164
2019-11-25 10:00 admin Changeset attached => SymmetricDS 3.11 bc4b5782
2019-12-02 15:12 admin Status resolved => closed